summaryrefslogtreecommitdiff
path: root/sys-apps/baselayout
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-03-06 21:23:20 +0000
committerV3n3RiX <venerix@rogentos.ro>2016-03-06 21:23:20 +0000
commit8b9901dfabad2faa7d9981b6112d6fda87f2fe67 (patch)
tree36cbd58ea1b22f0d510db55302e0f52e415f02f5 /sys-apps/baselayout
parent9d501d74c1b8a06242b92752e721e3a5b48bd3ac (diff)
drop old baselayout ebuilds
Diffstat (limited to 'sys-apps/baselayout')
-rw-r--r--sys-apps/baselayout/Manifest3
-rw-r--r--sys-apps/baselayout/baselayout-2.0.3-r1.ebuild243
-rw-r--r--sys-apps/baselayout/baselayout-2.1.ebuild245
-rw-r--r--sys-apps/baselayout/baselayout-2.2-r2.ebuild2
-rw-r--r--sys-apps/baselayout/baselayout-2.2.ebuild263
-rw-r--r--sys-apps/baselayout/files/baselayout-1.12.14-iproute.patch18
-rw-r--r--sys-apps/baselayout/files/baselayout-2.0.1-proc_touch.patch16
-rw-r--r--sys-apps/baselayout/files/baselayout-2.0.3-slash-run-dir.patch12
-rw-r--r--sys-apps/baselayout/metadata.xml5
9 files changed, 1 insertions, 806 deletions
diff --git a/sys-apps/baselayout/Manifest b/sys-apps/baselayout/Manifest
deleted file mode 100644
index c2fdff62..00000000
--- a/sys-apps/baselayout/Manifest
+++ /dev/null
@@ -1,3 +0,0 @@
-DIST baselayout-2.0.3.tar.bz2 39969 SHA256 879308781d845f467eb2b45b9ff006aa799e943f45ddba518f43acae1ec84bdd
-DIST baselayout-2.1.tar.bz2 40398 SHA256 2ac6f2156513a2820a0eeeecc2cf7e7c0b5e0c750b324f1e21912d5f3cda4956
-DIST baselayout-2.2.tar.bz2 40744 SHA256 11d4a223b06da545c3e59e07c9195570f334b5b1be05d995df0ebc8ea2203e98 SHA512 a5199c42e835d9f2683cc94f3c4c47ecdc392316c24e0932845736e2e90479b0c5c8ad72ead8e0537f097405b7d7548d00b87b7ff8c9e3651486e3c5c0970b36 WHIRLPOOL 60cc4f7f76c5a45c15303e526decffb3bad2b50ac659b1dd072d2ed4b0eb0b31929a1a733ddb03a31ee5882b889a4efb87206f63ffaa2b11e26d36afd0933a95
diff --git a/sys-apps/baselayout/baselayout-2.0.3-r1.ebuild b/sys-apps/baselayout/baselayout-2.0.3-r1.ebuild
deleted file mode 100644
index 71f0cd6d..00000000
--- a/sys-apps/baselayout/baselayout-2.0.3-r1.ebuild
+++ /dev/null
@@ -1,243 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/baselayout/baselayout-2.0.3.ebuild,v 1.4 2011/07/02 18:26:47 williamh Exp $
-
-inherit eutils multilib
-
-DESCRIPTION="Filesystem baselayout and init scripts"
-HOMEPAGE="http://www.gentoo.org/"
-SRC_URI="mirror://gentoo/${P}.tar.bz2
- http://dev.gentoo.org/~vapier/dist/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
-IUSE="build kernel_linux"
-
-PDEPEND="sys-apps/openrc"
-
-pkg_preinst() {
- # Bug #217848 - Since the remap_dns_vars() called by pkg_preinst() of
- # the baselayout-1.x ebuild copies all the real configs from the user's
- # /etc/conf.d into ${D}, it makes them all appear to be the default
- # versions. In order to protect them from being unmerged after this
- # upgrade, modify their timestamps.
- touch "${ROOT}"/etc/conf.d/* 2>/dev/null
-
- # This is written in src_install (so it's in CONTENTS), but punt all
- # pending updates to avoid user having to do etc-update (and make the
- # pkg_postinst logic simpler).
- rm -f "${ROOT}"/etc/._cfg????_gentoo-release
-
- # We need to install directories and maybe some dev nodes when building
- # stages, but they cannot be in CONTENTS.
- # Also, we cannot reference $S as binpkg will break so we do this.
- if use build ; then
- local libdirs="$(get_all_libdirs)" dir=
- # Create our multilib dirs - the Makefile has no knowledge of this
- : ${libdirs:=lib} # it isn't that we don't trust multilib.eclass...
- for dir in ${libdirs}; do
- mkdir -p "${ROOT}${dir}"
- touch "${ROOT}${dir}"/.keep
- mkdir -p "${ROOT}usr/${dir}"
- touch "${ROOT}usr/${dir}"/.keep
- mkdir -p "${ROOT}usr/local/${dir}"
- touch "${ROOT}usr/local/${dir}"/.keep
- done
-
- # Create symlinks for /lib, /usr/lib, and /usr/local/lib and
- # merge contents of duplicate directories if necessary.
- # Only do this when $ROOT != / since it should only be necessary
- # when merging to an empty $ROOT, and it's not very safe to perform
- # this operation when $ROOT = /.
- if [ "${SYMLINK_LIB}" = yes ] && [ "$ROOT" != / ] ; then
- local prefix libabi=$(get_abi_LIBDIR $DEFAULT_ABI)
- for prefix in "$ROOT"{,usr/,usr/local/} ; do
-
- [ ! -d "${prefix}lib" ] && rm -f "${prefix}lib" && \
- mkdir -p "${prefix}lib"
-
- [ ! -d "$prefix$libabi" ] && ln -sf "${prefix}lib"
-
- [ -h "$prefix$libabi" ] && [ -d "${prefix}lib" ] && \
- [ "$prefix$libabi" -ef "${prefix}lib" ] && continue
-
- local destdir=$prefix$libabi/ srcdir=${prefix}lib/
-
- [ -d "$destdir" ] || die "unable to create '$destdir'"
- [ -d "$srcdir" ] || die "unable to create $srcdir"
-
- mv -f "$srcdir".keep "$destdir".keep 2>/dev/null
- if ! rmdir "$srcdir" 2>/dev/null ; then
- ewarn "merging contents of '$srcdir' into '$destdir':"
-
- # Move directories if the dest doesn't exist.
- find "$srcdir" -type d -print0 | \
- while read -d $'\0' src ; do
-
- # If a parent directory of $src has already
- # been merged then it will no longer exist.
- [ -d "$src" ] || continue
-
- dest=$destdir${src#${srcdir}}
- if [ ! -d "$dest" ] ; then
- if [ -e "$dest" ] ; then
- ewarn " not overwriting file '$dest'" \
- "with directory '$src'"
- continue
- fi
- mv -f "$src" "$dest" && \
- ewarn " /${src#${ROOT}} merged" || \
- ewarn " /${src#${ROOT}} not merged"
- fi
- done
-
- # Move non-directories.
- find "$srcdir" ! -type d -print0 | \
- while read -d $'\0' src ; do
- dest=$destdir${src#${srcdir}}
- if [ -e "$dest" ] ; then
- if [ -d "$dest" ] ; then
- ewarn " not overwriting directory '$dest'" \
- "with file '$src'"
- else
- if [ -f "$src" -a ! -s "$src" ] && \
- [ -f "$dest" -a ! -s "$dest" ] ; then
- # Ignore empty files such as '.keep'.
- true
- else
- ewarn " not overwriting file '$dest'" \
- "with file '$src'"
- fi
- fi
- continue
- fi
-
- mv -f "$src" "$dest" && \
- ewarn " /${src#${ROOT}} merged" || \
- ewarn " /${src#${ROOT}} not merged"
- done
- fi
-
- rm -rf "${prefix}lib" || \
- die "unable to remove '${prefix}lib'"
-
- ln -s "$libabi" "${prefix}lib" || \
- die "unable to create '${prefix}lib' symlink"
- done
- fi
-
- emake -C "${D}/usr/share/${PN}" DESTDIR="${ROOT}" layout || die "failed to layout filesystem"
- fi
- rm -f "${D}"/usr/share/${PN}/Makefile
-
- # Sabayon customization, protect /etc/hosts from removal (from older ebuilds)
- local etc_hosts="${ROOT}/etc/hosts"
- if [ -e "${etc_hosts}" ]; then
- cp -p "${etc_hosts}" "${etc_hosts}.baselayout_ebuild_backup" # don't die
- fi
-}
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
- epatch "${FILESDIR}/${P}-slash-run-dir.patch"
-}
-
-src_install() {
- local libdir="lib"
- [[ ${SYMLINK_LIB} == "yes" ]] && libdir=$(get_abi_LIBDIR "${DEFAULT_ABI}")
-
- # Setup /run directory, this is missing from original baselayout
- dodir /run
-
- emake \
- OS=$(use kernel_FreeBSD && echo BSD || echo Linux) \
- LIB=${libdir} \
- DESTDIR="${D}" \
- install || die
- dodoc ChangeLog.svn
-
- # need the makefile in pkg_preinst
- insinto /usr/share/${PN}
- doins Makefile || die
-
- # Should this belong in another ebuild? Like say binutils?
- # List all the multilib libdirs in /etc/env/04multilib (only if they're
- # actually different from the normal
- if has_multilib_profile || [ $(get_libdir) != "lib" -o -n "${CONF_MULTILIBDIR}" ]; then
- local libdirs="$(get_all_libdirs)" libdirs_env= dir=
- : ${libdirs:=lib} # it isn't that we don't trust multilib.eclass...
- for dir in ${libdirs}; do
- libdirs_env=${libdirs_env:+$libdirs_env:}/${dir}:/usr/${dir}:/usr/local/${dir}
- done
-
- # Special-case uglyness... For people updating from lib32 -> lib amd64
- # profiles, keep lib32 in the search path while it's around
- if has_multilib_profile && [ -d "${ROOT}"lib32 -o -d "${ROOT}"lib32 ] && ! hasq lib32 ${libdirs}; then
- libdirs_env="${libdirs_env}:/lib32:/usr/lib32:/usr/local/lib32"
- fi
- echo "LDPATH=\"${libdirs_env}\"" > "${T}"/04multilib
- doenvd "${T}"/04multilib
- fi
-
- # rc-scripts version for testing of features that *should* be present
- echo "Gentoo Base System release ${PV}" > "${D}"/etc/gentoo-release
-
- # Sabayon customization, install /etc/hosts separately (to .example)
- mv "${D}"/etc/hosts "${D}"/etc/hosts.example || die "cannot move /etc/hosts"
-}
-
-pkg_postinst() {
- local x
-
- # We installed some files to /usr/share/baselayout instead of /etc to stop
- # (1) overwriting the user's settings
- # (2) screwing things up when attempting to merge files
- # (3) accidentally packaging up personal files with quickpkg
- # If they don't exist then we install them
- for x in master.passwd passwd shadow group fstab ; do
- [ -e "${ROOT}etc/${x}" ] && continue
- [ -e "${ROOT}usr/share/baselayout/${x}" ] || continue
- cp -p "${ROOT}usr/share/baselayout/${x}" "${ROOT}"etc
- done
-
- # Force shadow permissions to not be world-readable #260993
- for x in shadow ; do
- [ -e "${ROOT}etc/${x}" ] && chmod o-rwx "${ROOT}etc/${x}"
- done
-
- # Take care of the etc-update for the user
- if [ -e "${ROOT}"/etc/._cfg0000_gentoo-release ] ; then
- mv "${ROOT}"/etc/._cfg0000_gentoo-release "${ROOT}"/etc/gentoo-release
- fi
-
- # whine about users that lack passwords #193541
- if [[ -e ${ROOT}/etc/shadow ]] ; then
- local bad_users=$(sed -n '/^[^:]*::/s|^\([^:]*\)::.*|\1|p' "${ROOT}"/etc/shadow)
- if [[ -n ${bad_users} ]] ; then
- echo
- ewarn "The following users lack passwords!"
- ewarn ${bad_users}
- fi
- fi
-
- # whine about users with invalid shells #215698
- if [[ -e ${ROOT}/etc/passwd ]] ; then
- local bad_shells=$(awk -F: 'system("test -e " $7) { print $1 " - " $7}' /etc/passwd | sort)
- if [[ -n ${bad_shells} ]] ; then
- echo
- ewarn "The following users have non-existent shells!"
- ewarn "${bad_shells}"
- fi
- fi
-
- # Sabayon customization, copy /etc/hosts back in place if it doesn't exist
- local etc_hosts="${ROOT}/etc/hosts"
- if [ -e "${etc_hosts}.baselayout_ebuild_backup" ]; then
- cp -p "${etc_hosts}.baselayout_ebuild_backup" "${etc_hosts}" # don't die
- elif [ ! -e "${etc_hosts}" ]; then
- cp -p "${etc_hosts}.example" "${etc_hosts}" # don't die
- fi
- chown root:root "${etc_hosts}" # don't die
-}
diff --git a/sys-apps/baselayout/baselayout-2.1.ebuild b/sys-apps/baselayout/baselayout-2.1.ebuild
deleted file mode 100644
index 5f9115c5..00000000
--- a/sys-apps/baselayout/baselayout-2.1.ebuild
+++ /dev/null
@@ -1,245 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/baselayout/baselayout-2.1.ebuild,v 1.6 2011/12/09 03:48:47 vapier Exp $
-
-inherit eutils multilib
-
-DESCRIPTION="Filesystem baselayout and init scripts"
-HOMEPAGE="http://www.gentoo.org/"
-SRC_URI="mirror://gentoo/${P}.tar.bz2
- http://dev.gentoo.org/~vapier/dist/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
-IUSE="build"
-
-PDEPEND="sys-apps/openrc"
-
-pkg_setup() {
- multilib_layout
-}
-
-# Create our multilib dirs - the Makefile has no knowledge of this
-multilib_warn() {
- local syms=$1 dirs=$2 def_libdir=$3
-
- [ -z "${syms}${dirs}" ] && return
-
- ewarn "Your system profile has SYMLINK_LIB=${SYMLINK_LIB}, so that means"
- if [ -z "${syms}" ] ; then
- ewarn "you need to have these paths as symlinks to ${def_libdir}:"
- ewarn "$1"
- fi
-}
-multilib_layout() {
- local libdir libdirs=$(get_all_libdirs) def_libdir=$(get_abi_LIBDIR $DEFAULT_ABI)
- : ${libdirs:=lib} # it isn't that we don't trust multilib.eclass...
-
- [ -z "${def_libdir}" ] && die "your DEFAULT_ABI=$DEFAULT_ABI appears to be invalid"
-
- # figure out which paths should be symlinks and which should be directories
- local dirs syms exp d
- for libdir in ${libdirs} ; do
- exp=( {,usr/,usr/local/}${libdir} )
- for d in "${exp[@]/#/${ROOT}}" ; do
- # most things should be dirs
- if [ "${SYMLINK_LIB}" = "yes" ] && [ "${libdir}" = "lib" ] ; then
- [ ! -h "${d}" ] && [ -e "${d}" ] && dirs+=" ${d}"
- else
- [ -h "${d}" ] && syms+=" ${d}"
- fi
- done
- done
- if [ -n "${syms}${dirs}" ] ; then
- ewarn "Your system profile has SYMLINK_LIB=${SYMLINK_LIB:-no}, so that means you need to"
- ewarn "have these paths configured as follows:"
- [ -n "${dirs}" ] && ewarn "symlinks to '${def_libdir}':${dirs}"
- [ -n "${syms}" ] && ewarn "directories:${syms}"
- ewarn "The ebuild will attempt to fix these, but only for trivial conversions."
- ewarn "If things fail, you will need to manually create/move the directories."
- echo
- fi
-
- # setup symlinks and dirs where we expect them to be; do not migrate
- # data ... just fall over in that case.
- local prefix
- for prefix in "${ROOT}"{,usr/,usr/local/} ; do
- if [ "${SYMLINK_LIB}" = yes ] ; then
- # we need to make sure "lib" points to the native libdir
- if [ -h "${prefix}lib" ] ; then
- # it's already a symlink! assume it's pointing to right place ...
- continue
- elif [ -d "${prefix}lib" ] ; then
- # "lib" is a dir, so need to convert to a symlink
- ewarn "Converting ${prefix}lib from a dir to a symlink"
- rm -f "${prefix}lib"/.keep
- if rmdir "${prefix}lib" 2>/dev/null ; then
- ln -s ${def_libdir} "${prefix}lib" || die
- else
- die "non-empty dir found where we needed a symlink: ${prefix}lib"
- fi
- else
- # nothing exists, so just set it up sanely
- ewarn "Initializing ${prefix}lib as a symlink"
- mkdir -p "${prefix}" || die
- rm -f "${prefix}lib" || die
- ln -s ${def_libdir} "${prefix}lib" || die
- fi
- else
- # we need to make sure "lib" is a dir
- if [ -h "${prefix}lib" ] ; then
- # "lib" is a symlink, so need to convert to a dir
- ewarn "Converting ${prefix}lib from a symlink to a dir"
- rm -f "${prefix}lib" || die
- if [ -d "${prefix}lib32" ] ; then
- ewarn "Migrating ${prefix}lib32 to ${prefix}lib"
- mv "${prefix}lib32" "${prefix}lib" || die
- else
- mkdir -p "${prefix}lib" || die
- fi
- elif [ -d "${prefix}lib" ] ; then
- # make sure the old "lib" ABI location does not exist; we
- # only symlinked the lib dir on systems where we moved it
- # to "lib32" ...
- case ${CHOST} in
- i?86*|x86_64*|powerpc*|sparc*|s390*)
- if [ -d "${prefix}lib32" ] ; then
- rm -f "${prefix}lib32"/.keep
- if ! rmdir "${prefix}lib32" 2>/dev/null ; then
- ewarn "You need to merge ${prefix}lib32 into ${prefix}lib"
- die "non-empty dir found where there should be none: ${prefix}lib32"
- fi
- fi
- ;;
- esac
- else
- # nothing exists, so just set it up sanely
- ewarn "Initializing ${prefix}lib as a dir"
- mkdir -p "${prefix}" || die
- rm -f "${prefix}lib" || die
- ln -s ${def_libdir} "${prefix}lib" || die
- fi
- fi
- done
-}
-
-pkg_preinst() {
- # Bug #217848 - Since the remap_dns_vars() called by pkg_preinst() of
- # the baselayout-1.x ebuild copies all the real configs from the user's
- # /etc/conf.d into ${D}, it makes them all appear to be the default
- # versions. In order to protect them from being unmerged after this
- # upgrade, modify their timestamps.
- touch "${ROOT}"/etc/conf.d/* 2>/dev/null
-
- # This is written in src_install (so it's in CONTENTS), but punt all
- # pending updates to avoid user having to do etc-update (and make the
- # pkg_postinst logic simpler).
- rm -f "${ROOT}"/etc/._cfg????_gentoo-release
-
- # We need to install directories and maybe some dev nodes when building
- # stages, but they cannot be in CONTENTS.
- # Also, we cannot reference $S as binpkg will break so we do this.
- multilib_layout
- if use build ; then
- emake -C "${D}/usr/share/${PN}" DESTDIR="${ROOT}" layout || die
- fi
- rm -f "${D}"/usr/share/${PN}/Makefile
-
- # Sabayon customization, protect /etc/hosts from removal (from older ebuilds)
- local etc_hosts="${ROOT}/etc/hosts"
- if [ -e "${etc_hosts}" ]; then
- cp -p "${etc_hosts}" "${etc_hosts}.baselayout_ebuild_backup" # don't die
- fi
-}
-
-src_install() {
- # Setup /run directory, this is missing from original baselayout
- dodir /run
-
- emake \
- OS=$(usex kernel_FreeBSD BSD Linux) \
- DESTDIR="${D}" \
- install || die
- dodoc ChangeLog.svn
-
- # need the makefile in pkg_preinst
- insinto /usr/share/${PN}
- doins Makefile || die
-
- # handle multilib paths. do it here because we want this behavior
- # regardless of the C library that you're using. we do explicitly
- # list paths which the native ldconfig searches, but this isn't
- # problematic as it doesn't change the resulting ld.so.cache or
- # take longer to generate. similarly, listing both the native
- # path and the symlinked path doesn't change the resulting cache.
- local libdir ldpaths
- for libdir in $(get_all_libdirs) ; do
- ldpaths+=":/${libdir}:/usr/${libdir}:/usr/local/${libdir}"
- done
- echo "LDPATH='${ldpaths#:}'" >> "${D}"/etc/env.d/00basic
-
- # rc-scripts version for testing of features that *should* be present
- echo "Gentoo Base System release ${PV}" > "${D}"/etc/gentoo-release
-
- # Sabayon customization, install /etc/hosts separately (to .example)
- mv "${D}"/etc/hosts "${D}"/etc/hosts.example || die "cannot move /etc/hosts"
-}
-
-pkg_postinst() {
- local x
-
- # We installed some files to /usr/share/baselayout instead of /etc to stop
- # (1) overwriting the user's settings
- # (2) screwing things up when attempting to merge files
- # (3) accidentally packaging up personal files with quickpkg
- # If they don't exist then we install them
- for x in master.passwd passwd shadow group fstab ; do
- [ -e "${ROOT}etc/${x}" ] && continue
- [ -e "${ROOT}usr/share/baselayout/${x}" ] || continue
- cp -p "${ROOT}usr/share/baselayout/${x}" "${ROOT}"etc
- done
-
- # Force shadow permissions to not be world-readable #260993
- for x in shadow ; do
- [ -e "${ROOT}etc/${x}" ] && chmod o-rwx "${ROOT}etc/${x}"
- done
-
- # Take care of the etc-update for the user
- if [ -e "${ROOT}"/etc/._cfg0000_gentoo-release ] ; then
- mv "${ROOT}"/etc/._cfg0000_gentoo-release "${ROOT}"/etc/gentoo-release
- fi
-
- # whine about users that lack passwords #193541
- if [[ -e ${ROOT}/etc/shadow ]] ; then
- local bad_users=$(sed -n '/^[^:]*::/s|^\([^:]*\)::.*|\1|p' "${ROOT}"/etc/shadow)
- if [[ -n ${bad_users} ]] ; then
- echo
- ewarn "The following users lack passwords!"
- ewarn ${bad_users}
- fi
- fi
-
- # baselayout leaves behind a lot of .keep files, so let's clean them up
- find "${ROOT}"/lib*/rcscripts/ -name .keep -exec rm -f {} + 2>/dev/null
- find "${ROOT}"/lib*/rcscripts/ -depth -type d -exec rmdir {} + 2>/dev/null
-
- # whine about users with invalid shells #215698
- if [[ -e ${ROOT}/etc/passwd ]] ; then
- local bad_shells=$(awk -F: 'system("test -e " $7) { print $1 " - " $7}' /etc/passwd | sort)
- if [[ -n ${bad_shells} ]] ; then
- echo
- ewarn "The following users have non-existent shells!"
- ewarn "${bad_shells}"
- fi
- fi
-
- # Sabayon customization, copy /etc/hosts back in place if it doesn't exist
- local etc_hosts="${ROOT}/etc/hosts"
- if [ -e "${etc_hosts}.baselayout_ebuild_backup" ]; then
- cp -p "${etc_hosts}.baselayout_ebuild_backup" "${etc_hosts}" # don't die
- elif [ ! -e "${etc_hosts}" ]; then
- cp -p "${etc_hosts}.example" "${etc_hosts}" # don't die
- fi
- chown root:root "${etc_hosts}" # don't die
-}
diff --git a/sys-apps/baselayout/baselayout-2.2-r2.ebuild b/sys-apps/baselayout/baselayout-2.2-r2.ebuild
index 2e5a40b3..17497bbc 100644
--- a/sys-apps/baselayout/baselayout-2.2-r2.ebuild
+++ b/sys-apps/baselayout/baselayout-2.2-r2.ebuild
@@ -187,7 +187,7 @@ src_install() {
echo "LDPATH='${ldpaths#:}'" >> "${D}"/etc/env.d/00basic
# rc-scripts version for testing of features that *should* be present
- echo "Kogaion Gentoo Linux 3.0" > "${D}"/etc/gentoo-release
+ echo "Kogaion Linux 3.0" > "${D}"/etc/gentoo-release
# Sabayon customization, install /etc/hosts separately (to .example)
mv "${D}"/etc/hosts "${D}"/etc/hosts.example || die "cannot move /etc/hosts"
diff --git a/sys-apps/baselayout/baselayout-2.2.ebuild b/sys-apps/baselayout/baselayout-2.2.ebuild
deleted file mode 100644
index 695bbf9a..00000000
--- a/sys-apps/baselayout/baselayout-2.2.ebuild
+++ /dev/null
@@ -1,263 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/baselayout/baselayout-2.2.ebuild,v 1.2 2012/08/23 21:47:35 vapier Exp $
-
-inherit eutils multilib
-
-DESCRIPTION="Filesystem baselayout and init scripts"
-HOMEPAGE="http://www.gentoo.org/"
-SRC_URI="mirror://gentoo/${P}.tar.bz2
- http://dev.gentoo.org/~vapier/dist/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
-IUSE="build kernel_linux"
-
-pkg_setup() {
- multilib_layout
-}
-
-# Create our multilib dirs - the Makefile has no knowledge of this
-multilib_warn() {
- local syms=$1 dirs=$2 def_libdir=$3
-
- [ -z "${syms}${dirs}" ] && return
-
- ewarn "Your system profile has SYMLINK_LIB=${SYMLINK_LIB}, so that means"
- if [ -z "${syms}" ] ; then
- ewarn "you need to have these paths as symlinks to ${def_libdir}:"
- ewarn "$1"
- fi
-}
-multilib_layout() {
- local libdir libdirs=$(get_all_libdirs) def_libdir=$(get_abi_LIBDIR $DEFAULT_ABI)
- : ${libdirs:=lib} # it isn't that we don't trust multilib.eclass...
-
- [ -z "${def_libdir}" ] && die "your DEFAULT_ABI=$DEFAULT_ABI appears to be invalid"
-
- # figure out which paths should be symlinks and which should be directories
- local dirs syms exp d
- for libdir in ${libdirs} ; do
- exp=( {,usr/,usr/local/}${libdir} )
- for d in "${exp[@]/#/${ROOT}}" ; do
- # most things should be dirs
- if [ "${SYMLINK_LIB}" = "yes" ] && [ "${libdir}" = "lib" ] ; then
- [ ! -h "${d}" ] && [ -e "${d}" ] && dirs+=" ${d}"
- else
- [ -h "${d}" ] && syms+=" ${d}"
- fi
- done
- done
- if [ -n "${syms}${dirs}" ] ; then
- ewarn "Your system profile has SYMLINK_LIB=${SYMLINK_LIB:-no}, so that means you need to"
- ewarn "have these paths configured as follows:"
- [ -n "${dirs}" ] && ewarn "symlinks to '${def_libdir}':${dirs}"
- [ -n "${syms}" ] && ewarn "directories:${syms}"
- ewarn "The ebuild will attempt to fix these, but only for trivial conversions."
- ewarn "If things fail, you will need to manually create/move the directories."
- echo
- fi
-
- # setup symlinks and dirs where we expect them to be; do not migrate
- # data ... just fall over in that case.
- local prefix
- for prefix in "${ROOT}"{,usr/,usr/local/} ; do
- if [ "${SYMLINK_LIB}" = yes ] ; then
- # we need to make sure "lib" points to the native libdir
- if [ -h "${prefix}lib" ] ; then
- # it's already a symlink! assume it's pointing to right place ...
- continue
- elif [ -d "${prefix}lib" ] ; then
- # "lib" is a dir, so need to convert to a symlink
- ewarn "Converting ${prefix}lib from a dir to a symlink"
- rm -f "${prefix}lib"/.keep
- if rmdir "${prefix}lib" 2>/dev/null ; then
- ln -s ${def_libdir} "${prefix}lib" || die
- else
- die "non-empty dir found where we needed a symlink: ${prefix}lib"
- fi
- else
- # nothing exists, so just set it up sanely
- ewarn "Initializing ${prefix}lib as a symlink"
- mkdir -p "${prefix}" || die
- rm -f "${prefix}lib" || die
- ln -s ${def_libdir} "${prefix}lib" || die
- mkdir -p "${prefix}${def_libdir}" #423571
- fi
- else
- # we need to make sure "lib" is a dir
- if [ -h "${prefix}lib" ] ; then
- # "lib" is a symlink, so need to convert to a dir
- ewarn "Converting ${prefix}lib from a symlink to a dir"
- rm -f "${prefix}lib" || die
- if [ -d "${prefix}lib32" ] ; then
- ewarn "Migrating ${prefix}lib32 to ${prefix}lib"
- mv "${prefix}lib32" "${prefix}lib" || die
- else
- mkdir -p "${prefix}lib" || die
- fi
- elif [ -d "${prefix}lib" ] ; then
- # make sure the old "lib" ABI location does not exist; we
- # only symlinked the lib dir on systems where we moved it
- # to "lib32" ...
- case ${CHOST} in
- i?86*|x86_64*|powerpc*|sparc*|s390*)
- if [ -d "${prefix}lib32" ] ; then
- rm -f "${prefix}lib32"/.keep
- if ! rmdir "${prefix}lib32" 2>/dev/null ; then
- ewarn "You need to merge ${prefix}lib32 into ${prefix}lib"
- die "non-empty dir found where there should be none: ${prefix}lib32"
- fi
- fi
- ;;
- esac
- else
- # nothing exists, so just set it up sanely
- ewarn "Initializing ${prefix}lib as a dir"
- mkdir -p "${prefix}" || die
- rm -f "${prefix}lib" || die
- ln -s ${def_libdir} "${prefix}lib" || die
- fi
- fi
- done
-}
-
-pkg_preinst() {
- # Bug #217848 - Since the remap_dns_vars() called by pkg_preinst() of
- # the baselayout-1.x ebuild copies all the real configs from the user's
- # /etc/conf.d into ${D}, it makes them all appear to be the default
- # versions. In order to protect them from being unmerged after this
- # upgrade, modify their timestamps.
- touch "${ROOT}"/etc/conf.d/* 2>/dev/null
-
- # This is written in src_install (so it's in CONTENTS), but punt all
- # pending updates to avoid user having to do etc-update (and make the
- # pkg_postinst logic simpler).
- rm -f "${ROOT}"/etc/._cfg????_gentoo-release
-
- # We need to install directories and maybe some dev nodes when building
- # stages, but they cannot be in CONTENTS.
- # Also, we cannot reference $S as binpkg will break so we do this.
- multilib_layout
- if use build ; then
- emake -C "${D}/usr/share/${PN}" DESTDIR="${ROOT}" layout || die
- fi
- rm -f "${D}"/usr/share/${PN}/Makefile
-
- # Sabayon customization, protect /etc/hosts from removal (from older ebuilds)
- local etc_hosts="${ROOT}/etc/hosts"
- if [ -e "${etc_hosts}" ]; then
- cp -p "${etc_hosts}" "${etc_hosts}.baselayout_ebuild_backup" # don't die
- fi
-}
-
-src_unpack() {
- unpack ${A}
-
- cd "${S}"
- # We are Sabayon!
- epatch "${FILESDIR}/${PN}-rogentos-os-release.patch"
-}
-
-src_install() {
- # Setup /run directory, this is missing from original baselayout
- dodir /run
-
- emake \
- OS=$(usex kernel_FreeBSD BSD Linux) \
- DESTDIR="${D}" \
- install || die
- dodoc ChangeLog.svn
-
- # need the makefile in pkg_preinst
- insinto /usr/share/${PN}
- doins Makefile || die
-
- # handle multilib paths. do it here because we want this behavior
- # regardless of the C library that you're using. we do explicitly
- # list paths which the native ldconfig searches, but this isn't
- # problematic as it doesn't change the resulting ld.so.cache or
- # take longer to generate. similarly, listing both the native
- # path and the symlinked path doesn't change the resulting cache.
- local libdir ldpaths
- for libdir in $(get_all_libdirs) ; do
- ldpaths+=":/${libdir}:/usr/${libdir}:/usr/local/${libdir}"
- done
- echo "LDPATH='${ldpaths#:}'" >> "${D}"/etc/env.d/00basic
-
- # rc-scripts version for testing of features that *should* be present
- echo "Gentoo Base System release ${PV}" > "${D}"/etc/gentoo-release
-
- # Sabayon customization, install /etc/hosts separately (to .example)
- mv "${D}"/etc/hosts "${D}"/etc/hosts.example || die "cannot move /etc/hosts"
-
-}
-
-pkg_postinst() {
- local x
-
- # We installed some files to /usr/share/baselayout instead of /etc to stop
- # (1) overwriting the user's settings
- # (2) screwing things up when attempting to merge files
- # (3) accidentally packaging up personal files with quickpkg
- # If they don't exist then we install them
- for x in master.passwd passwd shadow group fstab ; do
- [ -e "${ROOT}etc/${x}" ] && continue
- [ -e "${ROOT}usr/share/baselayout/${x}" ] || continue
- cp -p "${ROOT}usr/share/baselayout/${x}" "${ROOT}"etc
- done
-
- # Force shadow permissions to not be world-readable #260993
- for x in shadow ; do
- [ -e "${ROOT}etc/${x}" ] && chmod o-rwx "${ROOT}etc/${x}"
- done
-
- # Take care of the etc-update for the user
- if [ -e "${ROOT}"/etc/._cfg0000_gentoo-release ] ; then
- mv "${ROOT}"/etc/._cfg0000_gentoo-release "${ROOT}"/etc/gentoo-release
- fi
-
- # whine about users that lack passwords #193541
- if [[ -e ${ROOT}/etc/shadow ]] ; then
- local bad_users=$(sed -n '/^[^:]*::/s|^\([^:]*\)::.*|\1|p' "${ROOT}"/etc/shadow)
- if [[ -n ${bad_users} ]] ; then
- echo
- ewarn "The following users lack passwords!"
- ewarn ${bad_users}
- fi
- fi
-
- # baselayout leaves behind a lot of .keep files, so let's clean them up
- find "${ROOT}"/lib*/rcscripts/ -name .keep -exec rm -f {} + 2>/dev/null
- find "${ROOT}"/lib*/rcscripts/ -depth -type d -exec rmdir {} + 2>/dev/null
-
- # whine about users with invalid shells #215698
- if [[ -e ${ROOT}/etc/passwd ]] ; then
- local bad_shells=$(awk -F: 'system("test -e " $7) { print $1 " - " $7}' /etc/passwd | sort)
- if [[ -n ${bad_shells} ]] ; then
- echo
- ewarn "The following users have non-existent shells!"
- ewarn "${bad_shells}"
- fi
- fi
-
- # Sabayon customization, copy /etc/hosts back in place if it doesn't exist
- local etc_hosts="${ROOT}/etc/hosts"
- if [ -e "${etc_hosts}.baselayout_ebuild_backup" ]; then
- cp -p "${etc_hosts}.baselayout_ebuild_backup" "${etc_hosts}" # don't die
- elif [ ! -e "${etc_hosts}" ]; then
- cp -p "${etc_hosts}.example" "${etc_hosts}" # don't die
- fi
- chown root:root "${etc_hosts}" # don't die
-
- # http://bugs.gentoo.org/361349
- if use kernel_linux; then
- mkdir -p "${ROOT}"/run
-
- if ! grep -qs "^tmpfs.*/run " "${ROOT}"/proc/mounts ; then
- echo
- ewarn "You should reboot the system now to get /run mounted with tmpfs!"
- fi
- fi
-}
diff --git a/sys-apps/baselayout/files/baselayout-1.12.14-iproute.patch b/sys-apps/baselayout/files/baselayout-1.12.14-iproute.patch
deleted file mode 100644
index 8d148862..00000000
--- a/sys-apps/baselayout/files/baselayout-1.12.14-iproute.patch
+++ /dev/null
@@ -1,18 +0,0 @@
-r3179 | vapier | 2010-10-03 17:20:25 -0400 (Sun, 03 Oct 2010) | 1 line
-
-fix infinite recursion with ip invocation #339013 by Krzysztof Olędzki
-
-Index: net-scripts/net/iproute2.sh
-===================================================================
---- lib/rcscripts/net/iproute2.sh (revision 3178)
-+++ lib/rcscripts/net/iproute2.sh (revision 3179)
-@@ -5,7 +5,8 @@
- # Fix any potential localisation problems
- # Note that LC_ALL trumps LC_anything_else according to locale(7)
- ip() {
-- LC_ALL=C ip "$@"
-+ # use the full path so we don't recurse into ip()
-+ LC_ALL=C $(type -P ip) "$@"
- }
- iproute2_tunnel() {
- LC_ALL=C ip tunnel "$@"
diff --git a/sys-apps/baselayout/files/baselayout-2.0.1-proc_touch.patch b/sys-apps/baselayout/files/baselayout-2.0.1-proc_touch.patch
deleted file mode 100644
index 7b7df780..00000000
--- a/sys-apps/baselayout/files/baselayout-2.0.1-proc_touch.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-https://bugs.gentoo.org/232823
-http://sources.gentoo.org/cgi-bin/viewvc.cgi/baselayout/trunk/Makefile?r1=3171&r2=3172
-
---- Makefile
-+++ Makefile
-@@ -49,8 +49,9 @@
- layout:
- # Create base filesytem layout
- for x in $(KEEP_DIRS) ; do \
-+ test -e $(DESTDIR)$$x/.keep && continue ; \
- $(INSTALL_DIR) $(DESTDIR)$$x || exit $$? ; \
-- touch $(DESTDIR)$$x/.keep || exit $$? ; \
-+ touch $(DESTDIR)$$x/.keep || echo "ignoring touch failure; mounted fs?" ; \
- done
- # Special dirs
- install -m 0700 -d $(DESTDIR)/root || exit $$?
diff --git a/sys-apps/baselayout/files/baselayout-2.0.3-slash-run-dir.patch b/sys-apps/baselayout/files/baselayout-2.0.3-slash-run-dir.patch
deleted file mode 100644
index f6b77567..00000000
--- a/sys-apps/baselayout/files/baselayout-2.0.3-slash-run-dir.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-Index: trunk/Makefile
-===================================================================
---- trunk/Makefile (revision 3193)
-+++ trunk/Makefile (working copy)
-@@ -27,6 +27,7 @@
-
- KEEP_DIRS-Linux += \
- /dev \
-+ /run \
- /sys \
- /usr/src
- KEEP_DIRS = $(KEEP_DIRS-$(OS)) \
diff --git a/sys-apps/baselayout/metadata.xml b/sys-apps/baselayout/metadata.xml
deleted file mode 100644
index 96a2d586..00000000
--- a/sys-apps/baselayout/metadata.xml
+++ /dev/null
@@ -1,5 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>base-system</herd>
-</pkgmetadata>